#include <bits/stdc++.h>

/*
#pragma GCC target ("avx2")
#pragma GCC optimization ("O3")
#pragma GCC optimization ("unroll-loops")
*/
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define rep(i,l,r) for (int i=l;i<=r;i++)
#define fi first
#define se second
#define pb push_back
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define ll long long
#define ull unsigned long long
#define mod 1000000007
#define nul(x) memset((x),0,sizeof((x)))
#define random_jbt mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

using namespace std;

int n,k,d[2000100];

int main() {
    ios;
    nul(d);

    cin>>n>>k;

    for (int i=1;i<=n;i++){
        int x;cin>>x;
        d[x+n]++;
    }
    vector<int>v;
    for (int i=0;i<=2*n;i++){
        if (d[i]>=k)v.pb(i-n);
    }
    cout<<v.size()<<"\n";
    for (auto i:v){
        cout<<i<<" ";
    }
    return 0;
}